## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global app_id  org.gnome.enter_tex

Name:           enter-tex
Version:        3.48.0
Release:        %autorelease
Summary:        Integrated LaTeX Environment for the GNOME desktop
License:        GPL-3.0-or-later
URL:            https://gitlab.gnome.org/World/gedit/enter-tex
Source:         https://gitlab.gnome.org/World/gedit/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gobject-introspection-devel
BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gspell-1)
BuildRequires:  pkgconfig(libgedit-tepl-6) >= 6.13
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  vala
# tests dependencies
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       gsettings-desktop-schemas
Requires:       hicolor-icon-theme
%if %{undefined flatpak}
Requires:       latexmk
%endif

%description
Enter TeX is a TeX/LaTeX text editor. The application was previously named
LaTeXila and then GNOME LaTeX. GNOME LaTeX permits to concentrate on the
content and the structure of the document instead of being distracted by its
presentation.

To help the writing of the LaTeX markup, auto-completion is available as
well as menus and toolbars with the principal commands. New documents are
created from templates. There are buttons to compile, convert and view a
document in one click. And projects containing several .tex files are
managed easily.

A side panel contains three components: the document structure to easily
navigate in it; lists of symbols to insert them in a document; and a file
browser.

Enter TeX has also other features like the spell-checking, or jumping
to the associated position between the .tex file and the PDF.

%prep
%autosetup -p1


%build
%meson -Dgtk_doc=false
%meson_build src/gtex/Gtex-1.gir
%meson_build


%install
%meson_install

%find_lang %{name} --with-gnome


%check
%meson_test
desktop-file-validate %{buildroot}%{_datadir}/applications/%{app_id}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml


%files -f %{name}.lang
%license LICENSES/*.txt
%doc NEWS README.md
%{_bindir}/enter-tex
%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/dbus-1/services/%{app_id}.service
%{_datadir}/glib-2.0/schemas/%{app_id}.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/%{app_id}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{app_id}-symbolic.svg
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_metainfodir}/%{app_id}.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Wed Apr 30 2025 John Doe <packager@example.com> - 3.48.0-1
- Uncommitted changes
## END: Generated by rpmautospec
